<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class c_template_penetapan_eksekusi_agama extends CI_Controller {

    function index() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); 
        }
    }
    function popup_penetapan_eksekusi(){
        if($this->session->userdata('is_logged_in')==FALSE){
            redirect('login');
        }  
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        echo "$idperkara";
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }  

        $this->load->model('generate_template/peradilan_agama/m_template_penetapan_eksekusi_agama','template');               
        $data['penandatangan']=$this->template->getDataPA();
        $data['blangko_penetapan_eksekusi']=$this->template->blangko_penetapan_eksekusi();

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $template=$this->template2->getDataDocumentTemplate('15','14','200','1','');
        $i=0;
        foreach ($template->result() as $template)
        {
            if ($i=='0')
            {
                $judul=$template->namatemplate;
                $judul=explode("Kepada",$judul);
                $jnsperkara=$template->jnsperkara;
            }
        }

        $data['judul']="PENETAPAN PERKARA EKSEKUSI"; //override
        $data['jnsperkara']=$jnsperkara;

       $this->load->view('generate_template/peradilan_agama/popup_penetapan_eksekusi', $data, FALSE);       
    }

   function cetak_penetapan_eksekusi_agama(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }
        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        
		 
        //$data['tglPersidangan'] = $this->input->post('tglPersidangan',TRUE);
        $data['blangko_penetapan_eksekusi'] = $this->input->post('blangko_penetapan_eksekusi',TRUE);
       
		//print_r($idperkara);
		//exit();
        $this->load->model('generate_template/peradilan_agama/m_template_penetapan_eksekusi_agama','template');
        //$data['blangko_penetapan_eksekusi']=$this->template->blangko_penetapan_eksekusi();
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPA();
        $data['datapenetapanhakim'] = $this->template->getDataPenetapanHakim($idperkara);
        $data['dataputusanakhir']=$this->template->getDataPutusan($idperkara);
        $data['datadetil_pihakeksekusi'] = $this->template->getDataPihak_eksekusi($idperkara);
        $data['dataPihak1']=$this->template->get_data_pihak_loop($idperkara,1);
        $data['dataPihak2']=$this->template->get_data_pihak_loop($idperkara,2);
        $data['dataPihak3']=$this->template->get_data_pihak_loop($idperkara,3);
        $data['dataPihak4']=$this->template->get_data_pihak_loop($idperkara,4);
        $data['dataPihak5']=$this->template->get_data_pihak_loop($idperkara,5);
        $data['dataPengacaraPihak1']=$this->template->get_data_pengacara($idperkara,1);
        $data['dataPengacaraPihak2']=$this->template->get_data_pengacara($idperkara,2);        
        $data['dataPengacaraPihak3']=$this->template->get_data_pengacara($idperkara,3); 
		
        $data['datadetil_pemohon'] = $this->template->get_data_pihak_pemohon($idperkara);
        $data['datadetil_termohon'] = $this->template->get_data_pihak_termohon($idperkara);
//echo  $data['dataperkara']."sss";
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');                
       $this->load->view('generate_template/peradilan_agama/cetak_penetapan_eksekusi_agama',$data,FALSE);
  }

}
?>